Summary:	GNOME GUI Tool for Proftpd Server Configuration
Name:		gproftpd
Version:	8.3.2
Release:	%mkrel 2
Group:		System/Configuration/Networking
License:	GPL
URL:		http://www.gadmintools.org/
Source0:	http://mange.dynup.net/linux/gproftpd/%{name}-%{version}.tar.bz2
Source1:	%{name}.pam-0.77.bz2
Source2:	%{name}.pam.bz2
Requires:	proftpd >= 1.2.8
Requires:	usermode-consoleonly
BuildRequires:	gtk+2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GProftpd is a fast and easy to use GNOME2 administration tool for
the Proftpd standalone server.

%prep

%setup -q

# fix conditional pam config file
%if %{mdkversion} < 200610
bzcat %{SOURCE1} > %{name}.pam
%else
bzcat %{SOURCE2} > %{name}.pam
%endif

%build
# (Abel) otherwise it would try to find files such as /var/lib/log/xferlog
%define _localstatedir /var

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir

install -d %{buildroot}%{_sysconfdir}/pam.d/
install -m0644 %{name}.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}

# locales
%find_lang %name

# Mandriva Icons
install -D -m644 pixmaps/%{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 pixmaps/%{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 pixmaps/%{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

# Mandriva Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_sbindir}/%{name}" \
 title="GProftpd" \
 longtitle="Proftpd administration tool" \
 needs="x11" \
 icon="%{name}.png" \
 section="System/Configuration/Networking" \
 xdg="true" 
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=GProftpd
Comment=Proftpd administration tool
Exec=%{_sbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF


# Prepare usermode entry
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/%{name}.real
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<_EOF_
USER=root
PROGRAM=%{_sbindir}/%{name}.real
SESSION=true
FALLBACK=false
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}.real
%{_sbindir}/gprostats
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*
%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/%{name}




%changelog
* Fri Dec 14 2007 Guillaume Bedot <littletux@mandriva.org> 8.3.2-2mdv2008.1
+ Revision: 120066
- fix menu titles

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jun 18 2007 Jérôme Soyer <saispo@mandriva.org> 8.3.2-1mdv2008.0
+ Revision: 40739
- New release 8.3.2


* Sun Jan 28 2007 Jérôme Soyer <saispo@mandriva.org> 8.3.1-1mdv2007.0
+ Revision: 114695
- New release 8.3.1

* Wed Jan 17 2007 Lenny Cartier <lenny@mandriva.com> 8.3.0-1mdv2007.1
+ Revision: 109756
- Update to 8.3.0

* Wed Jan 03 2007 Emmanuel Andry <eandry@mandriva.org> 8.2.9-1mdv2007.1
+ Revision: 103925
- New version 8.2.9
- Import gproftpd

* Fri Jul 28 2006 Jerome Soyer <saispo@mandriva.org> 8.2.8-1mdv2007.0
- New version 8.2.8

* Fri Jul 21 2006 Jerome Soyer <saispo@mandriva.org> 8.2.6-1mdv2007.0
- New version 8.2.6

* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 8.2.5-1mdv2007.0
- xdg

* Sat Jul 08 2006 Austin Acton <austin@mandriva.org> 8.2.4-1mdv2007.0
- New release 8.2.4
- fix menu

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 8.2.3-1mdk
- New release 8.2.3

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 8.2.2-2mdk
- fix url
- make it backportable for older pam (S1,S2)

* Tue Jun 07 2005 Oden Eriksson <oeriksson@mandriva.com> 8.2.2-1mdk
- 8.2.2

* Thu Apr 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 8.2.1-1mdk
- 8.2.1

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 8.2.0-1mdk
- 8.2.0

* Wed Feb 16 2005 Austin Acton <austin@mandrake.org> 8.1.9-1mdk
- 8.1.9

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-3mdk
- fix source URL and actually check it this time

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-2mdk
- source URL

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-1mdk
- 8.1.8

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.1.7-2mdk
- fix two rplint errors

* Wed Jul 14 2004 Austin Acton <austin@mandrake.org> 8.1.7-1mdk
- 8.1.7
- add locales
- remove COPYING file
- new menu

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 8.1.6-1mdk
- 8.1.6

* Wed Feb 11 2004 Austin Acton <austin@mandrake.org> 8.1.5-1mdk
- 8.1.5

